Subject: Re: bug#5411: show-paren-mode and parens spread over multi-line comments

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 02 May 2022 11:02:32 +0200

Matrix <[email-masked]> writes:

>    But now I find a bug in emacs :( . May be it`s not a bug , I want to
> believe this.Now The-Bug as follow:
>
>    //      Print a message and dump core (equivalent to ASSERT(FALSE)
> without
> //      making the compiler whine).
>
>    The Parenthesis-Matching-highlight is work with the second '(' .
> yeah  , When my cursor at the second '(' the first ')' highlight . But
> when my cursor at first '(' , the second ')' doesn`t highlight and show 
> unmatch Parenthesis....I think this is wrong , It match as:  (  ( )  ).

I've now fixed this in Emacs 29 (just 12 years after it was reported
😀).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no